[advice]
	addEmptyPathspec = false
[blame]
	# Mark any lines that have had a commit skipped using --ignore-rev with a `?`
	markIgnoredLines = true
	# Mark any lines that were added in a skipped commit and can not be attributed with a `*`
	markUnblamableLines = true
[color]
	ui = true
[commit]
	verbose = true
[core]
	editor = nvim
	excludesfile = ~/.config/git/ignore
[diff]
	tool = nvimdiff
	context = 8
	interHunkContext = 8
[difftool]
	prompt = false
	trustExitCode = true
[difftool "nvimdiff"]
	cmd = nvim -R -d $LOCAL $REMOTE
[difftool "difftastic"]
	cmd = difft $LOCAL $REMOTE
[difftool "kitty"]
	cmd = kitty +kitten diff $LOCAL $REMOTE
[fetch]
	prune = true
	pruneTags = true
[http]
	sslVerify = false
[init]
	defaultBranch = master
[log]
	follow = true
[merge]
	tool = nvimdiff1
	conflictstyle = zdiff3
	ff = only
[mergetool]
	prompt = false
	keepBackup = false
	hideResolved = false
[mergetool "nvimdiff1"]
	hideResolved = true
[pager]
	difftool = true
[pull]
	rebase = false
[push]
	default = nothing
[rebase]
	autosquash = true
	autoStash = true
	updateRefs = true
[sendemail]
	smtpserver = /usr/bin/msmtp
[user]
	name = Sanchayan Maity
	email = sanchayan@sanchayanmaity.net
	login = sanchayanmaity
	signingkey = 6F6A0609C12038F3
